<div class="is-flex is-column is-align-center">
    <div #pass class="is-flex defaultDiv has-margin-bottom-4">
        <input 
            #Input
            class="default"
            (input)="checkPassword()"
            (focus)="pop()"
            (blur)="pop()" 
            [type]="inputType"
            [ngModel]="inputModel"
            (ngModelChange)="changeValue($event)"
            [placeholder]="text"
            [readonly]="isReadonly">
        <img #eye [style.visibility]="password" (click)="Display()" [src]="eyeImg">
    </div>
    <div *ngIf="appear" class="is-flex is-column has-margin-bottom-2">
        <div class="self-start" *ngFor="let check of checks">
            <img class="has-margin-right-1 vertical-align" [src]="check.img">
            <label class="text">{{check.text}}</label>
        </div>
    </div>
</div>